# -*- coding: utf-8 -*-
import velamentum.dateien.Datei
from velamentum.multimedia.Recorder import Recorder
import dialogs

class AudioRecorder(Recorder):
    """Die Klasse AudioRecorder dient der Aufnahme von Audiodaten in eine Datei.
    
    Attribute:
        --- von 'Recorder' geerbte ---
    """

    def __init__(self, pDatei=velamentum.dateien.Datei.Datei("~/aufnahme.m4a")):
        """Konstruktor. Initialisiert den AudioRecorder.
        
        Parameter:
            [optional] pDatei (Datei): Datei, in der die Aufnahme gespeichert
                werden soll [Standardwert: Datei mit Pfad '~/aufnahme.m4a'].
        """
        Recorder.__init__(self, pDatei)
        dialogs.alert('Fehler', 'AudioRecorder auf iOS nicht implementiert.')
